<?php

namespace SGalinski\SgMail\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Mail
 */
class Mail extends AbstractEntity {

	/**
	 * @var $mailContent
	 */
	protected $mailContent = NULL;
	/**
	 * @var $mailContent
	 */
	protected $toAddress = NULL;
	/**
	 * @var $mailContent
	 */
	protected $fromAddress = NULL;
	/**
	 * @var $mailContent
	 */
	protected $isSent = NULL;
	/**
	 * @var $mailContent
	 */
	protected $scheduledTime = NULL;
	/**
	 * @return mixed
	 */
	public function getMailContent() {
		return $this->mailContent;
	}

	/**
	 * @param mixed $mailContent
	 */
	public function setMailContent($mailContent) {
		$this->mailContent = $mailContent;
	}

	/**
	 * @return mixed
	 */
	public function getToAddress() {
		return $this->toAddress;
	}

	/**
	 * @param mixed $toAddress
	 */
	public function setToAddress($toAddress) {
		$this->toAddress = $toAddress;
	}

	/**
	 * @return mixed
	 */
	public function getFromAddress() {
		return $this->fromAddress;
	}

	/**
	 * @param mixed $fromAddress
	 */
	public function setFromAddress($fromAddress) {
		$this->fromAddress = $fromAddress;
	}

	/**
	 * @return mixed
	 */
	public function getIsSent() {
		return $this->isSent;
	}

	/**
	 * @param mixed $isSent
	 */
	public function setIsSent($isSent) {
		$this->isSent = $isSent;
	}

	/**
	 * @return mixed
	 */
	public function getScheduledTime() {
		return $this->scheduledTime;
	}

	/**
	 * @param mixed $scheduledTime
	 */
	public function setScheduledTime($scheduledTime) {
		$this->scheduledTime = $scheduledTime;
	}

}
